#!/usr/bin/env python
# -*- coding: utf-8 -*-


"""
Napisz funkcję pokemon_speak, która zamienia w podanym napisie co drugą literę
na wielką. Np. pokemon_speak('pokemon') powinno zwrócić 'PoKeMoN'.
"""


def pokemon_speak(text):
    wynik = ''
    switch = 1
    for znak in text:
        if switch == 1:
            wynik += znak.upper()
            switch *= -1
        else:
            wynik += znak
            switch *= -1
    return wynik

def tests(f):
    inputs = [['pokemon'], ['do not want'], ['POKEMON']]
    outputs = ['PoKeMoN', 'Do nOt wAnT', 'POKEMON']

    for input, output in zip(inputs, outputs):
        if f(*input) != output:
            return "ERROR: {}!={}".format(f(*input), output)
            break
    return "TESTS PASSED"

if __name__ == "__main__":
    print(tests(pokemon_speak))
